## llvmlite 0.19.0

=== ffi/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.8)

# This will define the name of the solution file in the build directory
project(llvmlite_ffi)

find_package(LLVM REQUIRED CONFIG)

message(STATUS "Found LLVM ${LLVM_PACKAGE_VERSION}")
message(STATUS "Using LLVMConfig.cmake in: ${LLVM_DIR}")

# Set your project compile flags.
# E.g. if using the C++ header files
# you will need to enable C++11 support
# for your compiler.

include_directories(${LLVM_INCLUDE_DIRS})
add_definitions(${LLVM_DEFINITIONS})

# Define our shared library
add_library(llvmlite SHARED assembly.cpp bitcode.cpp core.cpp initfini.cpp
            module.cpp value.cpp executionengine.cpp transforms.cpp
            passmanagers.cpp targets.cpp dylib.cpp linker.cpp object_file.cpp)

# Find the libraries that correspond to the LLVM components
# that we wish to use
# llvm_map_components_to_libnames(llvm_libs support core irreader)
llvm_map_components_to_libnames(llvm_libs all)

# Link against LLVM libraries
target_link_libraries(llvmlite ${llvm_libs})

## llvmlite 0.15.0+git20161228.95d8c7c

=== debian/changelog ===
llvmlite (0.15.0+git20161228.95d8c7c-2) unstable; urgency=medium

  * Uploaded to unstable.

 -- Daniel Stender <stender@debian.org>  Thu, 29 Dec 2016 11:10:26 +0100

llvmlite (0.15.0+git20161228.95d8c7c-1) experimental; urgency=medium

  * build with latest development snapshot (Closes: #849499).

 -- Daniel Stender <stender@debian.org>  Thu, 29 Dec 2016 05:37:34 +0100

llvmlite (0.14.0-3) experimental; urgency=medium

  * remove failsafe from tests.

 -- Daniel Stender <stender@debian.org>  Sat, 24 Dec 2016 08:25:53 +0100

llvmlite (0.14.0-2) experimental; urgency=medium

  * deb/rules: add override for dh_auto_test (temporarily safed).
  * add debian/source/options (with extend-diff-ignote for ffi/*.dwo).

 -- Daniel Stender <stender@debian.org>  Tue, 20 Dec 2016 23:22:30 +0100

llvmlite (0.14.0-1) experimental; urgency=medium

  * New upstream release:
    + unfuzz use-system-six.patch.

 -- Daniel Stender <stender@debian.org>  Tue, 06 Dec 2016 20:33:59 +0100

llvmlite (0.13.0-2) experimental; urgency=medium

  * tests-add-libtinfo-to-expected-libs.patch: add more expected deps,
    needed by the supported archs.

 -- Daniel Stender <stender@debian.org>  Sun, 04 Sep 2016 18:54:23 +0200

llvmlite (0.13.0-1) experimental; urgency=medium

  * new upstream release:
    + bump llvm to 3.8 in deb/control and deb/rules (LLVM_CONFIG).
    + bump X-Python versions in deb/control.
    + add *dwo to deb/clean.
    + unfuzz and update use-system-six.patch.
    + add tests-add-libtinfo-to-expected-libs.patch.
  * deb/control:
    + remove enum34 from runtime deps (not needed).

 -- Daniel Stender <stender@debian.org>  Sat, 03 Sep 2016 18:21:06 +0200

llvmlite (0.8.0-2) experimental; urgency=medium

  * deb/control:
    + put LLVM packaging team into Maintainer field.
    + put myself into Uploaders field, updated email address.
    + don't build-depend on llvm defaults, but the specific llvm version
      which is actually supported (3.6, changed that also for binary deps).
    + add sphinx-rtd-theme to build-deps.
    + bump standards to version 3.9.8 (no changes needed).
    + add Vcs-Svn and Vcs-Browser fields (pkg-llvm).
    + drop Testsuite field (deprecated).
  * deb/copyright:
    + update maintainer email address, add missing span.
  * deb/rules:
    + add export for LLVM_CONFIG (pointing to llvm-3.6).
  * deb/watch:
    + fix filenamemangle.

 -- Daniel Stender <stender@debian.org>  Thu, 01 Sep 2016 18:25:57 +0200

llvmlite (0.8.0-1) experimental; urgency=medium

  * Initial release (Closes: #800379).

 -- Daniel Stender <debian@danielstender.com>  Mon, 14 Dec 2015 22:22:30 +0100

=== debian/control ===
Source: llvmlite
Section: python
Priority: optional
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python-six,
 python-enum34,
 python3-all,
 python3-setuptools,
 python3-six,
 llvm-3.8-dev,
 zlib1g-dev,
 libedit-dev,
 python-sphinx,
 python-sphinx-rtd-theme
Standards-Version: 3.9.8
Homepage: http://llvmlite.pydata.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-llvm/llvmlite/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-llvm/llvmlite/trunk/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-llvmlite
Architecture: any
Depends:
 ${python:Depends},
 python-six,
 llvm-3.8,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 llvmlite-doc
Description: LLVM Python binding for writing JIT compilers
 llvmlite uses the LLVM library for JIT (just-in-time) compilation of
 Python code into native machine instructions during runtime. Instead
 of exposing large parts of the LLVM C++ API for direct calls into the
 LLVM library, llvmlite follows a lightweight multi-layered approach.
 .
 This package contains the modules and the binding for Python 2.

Package: python3-llvmlite
Architecture: any
Depends:
 ${python3:Depends},
 python3-six,
 llvm-3.8,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 llvmlite-doc
Description: LLVM Python 3 binding for writing JIT compilers
 llvmlite uses the LLVM library for JIT (just-in-time) compilation of
 Python code into native machine instructions during runtime. Instead
 of exposing large parts of the LLVM C++ API for direct calls into the
 LLVM library, llvmlite follows a lightweight multi-layered approach.
 .
 This package contains the modules and the binding for Python 3.

Package: llvmlite-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python-llvmlite,
 python3-llvmlite
Description: LLVM Python binding for writing JIT compilers (docs)
 llvmlite uses the LLVM library for JIT (just-in-time) compilation of
 Python code into native machine instructions during runtime. Instead
 of exposing large parts of the LLVM C++ API for direct calls into the
 LLVM library, llvmlite follows a lightweight multi-layered approach.
 .
 This package contains the documentation and example code.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=llvmlite
export LLVM_CONFIG=/usr/lib/llvm-3.8/bin/llvm-config

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m unittest discover -v" dh_auto_test

override_dh_installdocs:
	dh_installdocs -A README.rst
	http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source/ debian/llvmlite-doc/usr/share/doc/llvmlite-doc/html/

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGE_LOG

override_dh_python2:
	dh_python2 --no-ext-rename

override_dh_python3:
	dh_python3 --no-ext-rename

## llvmlite 0.16.0

=== debian/changelog ===
llvmlite (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * deb/clean: fix a typo.
  * deb/control: build against llvm-3.9-dev.
  * deb/copyright: expand copyright span.
  * deb/rules: bump LLVM_CONFIG to llvm-3.9.
  * drop tests-add-libtinfo-to-expected-libs.patch.
  * add skip-TestDependencies.patch.

 -- Daniel Stender <stender@debian.org>  Fri, 26 May 2017 21:59:29 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-all,
  python3-setuptools,
  python3-six,
- llvm-3.8-dev,
+ llvm-3.9-dev,
  zlib1g-dev,
  libedit-dev,
  python-sphinx,
@@ -30,7 +30,7 @@
 Depends:
  ${python:Depends},
  python-six,
- llvm-3.8,
+ llvm-3.9,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
@@ -48,7 +48,7 @@
 Depends:
  ${python3:Depends},
  python3-six,
- llvm-3.8,
+ llvm-3.9,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export PYBUILD_NAME=llvmlite
-export LLVM_CONFIG=/usr/lib/llvm-3.8/bin/llvm-config
+export LLVM_CONFIG=/usr/lib/llvm-3.9/bin/llvm-config
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

## llvmlite 0.19.0

=== debian/changelog ===
llvmlite (0.19.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Daniel Stender <stender@debian.org>  Sun, 16 Jul 2017 23:43:24 +0200

llvmlite (0.19.0-1) experimental; urgency=medium

  * New upstream release:
    + unfuzz use-system-six.patch.
  * use debhelper level 10 (changes in deb/compat and deb/control).
  * deb/copyright: use https in Format field.
  * deb/rules: add switch to regard DEB_BUILD_OPTIONS=nodoc.
  * bump standards version to 4.0.0 (no further changes needed).

 -- Daniel Stender <stender@debian.org>  Sun, 16 Jul 2017 16:30:08 +0200

llvmlite (0.18.0-1) experimental; urgency=medium

  * New upstream release.
  * deb/control:
    + bump deps to llvm-4.0.
    + build-depend on Python dev packages.
  * deb/rules: bump LLVM_CONFIG to llvm-4.0.
  * drop skip-TestDependencies.patch (now skipped by default).

 -- Daniel Stender <stender@debian.org>  Sat, 27 May 2017 12:32:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Daniel Stender <stender@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
- python-all,
+ python-all-dev,
  python-setuptools,
  python-six,
  python-enum34,
- python3-all,
+ python3-all-dev,
  python3-setuptools,
  python3-six,
- llvm-3.9-dev,
+ llvm-4.0-dev,
  zlib1g-dev,
  libedit-dev,
  python-sphinx,
  python-sphinx-rtd-theme
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://llvmlite.pydata.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-llvm/llvmlite/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-llvm/llvmlite/trunk/
@@ -30,7 +30,7 @@
 Depends:
  ${python:Depends},
  python-six,
- llvm-3.9,
+ llvm-4.0,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
@@ -48,7 +48,7 @@
 Depends:
  ${python3:Depends},
  python3-six,
- llvm-3.9,
+ llvm-4.0,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export PYBUILD_NAME=llvmlite
-export LLVM_CONFIG=/usr/lib/llvm-3.9/bin/llvm-config
+export LLVM_CONFIG=/usr/lib/llvm-4.0/bin/llvm-config
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -12,7 +12,9 @@
 
 override_dh_installdocs:
 	dh_installdocs -A README.rst
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source/ debian/llvmlite-doc/usr/share/doc/llvmlite-doc/html/
+endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs -A CHANGE_LOG

=== debian/tests/control ===
Tests: python-llvmlite
Depends: python-llvmlite, python-all

Tests: python3-llvmlite
Depends: python3-llvmlite, python3-all

## llvmlite 0.22.0

=== debian/changelog ===
llvmlite (0.22.0-2build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:53:52 +0000

llvmlite (0.22.0-2) unstable; urgency=medium

  * deb/control:
    + pull deps of docs package to Suggests throughout.
  * deb/rules:
    + drop override for dh_auto_test (unittesting runs out of the box).
    + add override for dh_gencontrol manually adding Conflicts against the
      other dbgsym package (Closes: #868564).

 -- Daniel Stender <stender@debian.org>  Tue, 01 May 2018 13:12:50 +0200

llvmlite (0.22.0-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + build and run against llvm-5.0.
    + update Vcs fields (project moved to salsa).
    + bump standards to 4.1.3 (no further changes needed).
  * deb/copyright:
    + update copyright span.
    + replace full license text of CC0-1.0 with short text and pointer
      to /usr/share/common-licenses.
  * deb/rules:
    + update llvm-config path.
  * add deb/gbp.conf.

 -- Daniel Stender <stender@debian.org>  Sun, 11 Mar 2018 21:12:12 +0100

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
  python3-all-dev,
  python3-setuptools,
  python3-six,
- llvm-4.0-dev,
+ llvm-5.0-dev,
  zlib1g-dev,
  libedit-dev,
  python-sphinx,
  python-sphinx-rtd-theme
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://llvmlite.pydata.org/
-Vcs-Svn: svn://anonscm.debian.org/pkg-llvm/llvmlite/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-llvm/llvmlite/trunk/
+Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvmlite.git
+Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvmlite/
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 
@@ -30,10 +30,10 @@
 Depends:
  ${python:Depends},
  python-six,
- llvm-4.0,
+ llvm-5.0,
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends:
+Suggests:
  llvmlite-doc
 Description: LLVM Python binding for writing JIT compilers
  llvmlite uses the LLVM library for JIT (just-in-time) compilation of
@@ -48,10 +48,10 @@
 Depends:
  ${python3:Depends},
  python3-six,
- llvm-4.0,
+ llvm-5.0,
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends:
+Suggests:
  llvmlite-doc
 Description: LLVM Python 3 binding for writing JIT compilers
  llvmlite uses the LLVM library for JIT (just-in-time) compilation of
@@ -67,7 +67,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}
-Recommends:
+Suggests:
  python-llvmlite,
  python3-llvmlite
 Description: LLVM Python binding for writing JIT compilers (docs)

## llvmlite 0.24.0

=== ffi/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # This will define the name of the solution file in the build directory
 project(llvmlite_ffi)
+
+include(CheckIncludeFiles)
 
 find_package(LLVM REQUIRED CONFIG)
 
@@ -17,6 +19,18 @@
 include_directories(${LLVM_INCLUDE_DIRS})
 add_definitions(${LLVM_DEFINITIONS})
 
+# Look for SVML
+set(CMAKE_REQUIRED_INCLUDES ${LLVM_INCLUDE_DIRS})
+
+CHECK_INCLUDE_FILES("llvm/IR/SVML.gen" HAVE_SVML)
+if(HAVE_SVML)
+    message(STATUS "SVML found")
+    add_definitions(-DHAVE_SVML)
+else()
+    message(STATUS "SVML not found")
+endif()
+
+
 # Define our shared library
 add_library(llvmlite SHARED assembly.cpp bitcode.cpp core.cpp initfini.cpp
             module.cpp value.cpp executionengine.cpp transforms.cpp

=== debian/changelog ===
llvmlite (0.24.0-1) unstable; urgency=medium

  * New upstream release.
  * update to llvm 6.0 in deb/control and deb/rules.
  * DEP-8 testsuite:
    + use $AUTOPKGTEST_TMP instead of $ADTTMP.
    + run interpreter with deprecation warnings turned on.
    + expand info lines, drop newline.
  * deb/control:
    + drop ancient python version fields.
  * deb/copyright:
    + for CC0-1.0, include pointer to /usr/share/common-licenses.

 -- Daniel Stender <stender@debian.org>  Sun, 08 Jul 2018 12:58:41 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-all-dev,
  python3-setuptools,
  python3-six,
- llvm-5.0-dev,
+ llvm-6.0-dev (>= 6.0.1~),
  zlib1g-dev,
  libedit-dev,
  python-sphinx,
@@ -22,15 +22,13 @@
 Homepage: http://llvmlite.pydata.org/
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvmlite.git
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvmlite/
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 
 Package: python-llvmlite
 Architecture: any
 Depends:
  ${python:Depends},
  python-six,
- llvm-5.0,
+ llvm-6.0,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
@@ -48,7 +46,7 @@
 Depends:
  ${python3:Depends},
  python3-six,
- llvm-5.0,
+ llvm-6.0,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,10 @@
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export PYBUILD_NAME=llvmlite
-export LLVM_CONFIG=/usr/lib/llvm-4.0/bin/llvm-config
+export LLVM_CONFIG=/usr/lib/llvm-6.0/bin/llvm-config
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m unittest discover -v" dh_auto_test
 
 override_dh_installdocs:
 	dh_installdocs -A README.rst
@@ -24,3 +21,9 @@
 
 override_dh_python3:
 	dh_python3 --no-ext-rename
+
+override_dh_gencontrol:
+	dh_gencontrol
+	echo "Conflicts: python3-llvmlite-dbgsym" >> debian/.debhelper/python-llvmlite/dbgsym-root/DEBIAN/control
+	echo "Conflicts: python-llvmlite-dbgsym" >> debian/.debhelper/python3-llvmlite/dbgsym-root/DEBIAN/control
+	# this is a fix for #868564 until debug interpreter symbols are shipped (which need to be coninstallable)

## llvmlite 0.25.0

=== debian/changelog ===
llvmlite (0.25.0-1) unstable; urgency=medium

  * New upstream release:
    + unfuzz use-system-six.patch.
  * deb/control:
    + build with default python interpreters.
    + use python3 package for sphinx and rtd-theme.
    + bump standards to 4.2.1 (no further changes needed).
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0)
    + drop unnecessary export line for DEB_BUILD_OPTIONS.
    + add check before injecting mutual conflicts for dbg
      packages (Closes: #906682).
  * add build profile switches:
    + deb/control: add !nodoc switch to b-deps and package description.
    + deb/rules: don't run sphinxdoc dh extension in deb/control if
      DEB_BUILD_PROFILES contains nodoc.
  * build with dh level 11 (changes in deb/compat and deb/control).

 -- Daniel Stender <stender@debian.org>  Sat, 03 Nov 2018 20:35:01 +0100

## llvmlite 0.26.0

=== debian/changelog ===
llvmlite (0.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Sat, 01 Dec 2018 08:06:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Daniel Stender <stender@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
- python-all-dev,
+ python-dev,
  python-setuptools,
  python-six,
  python-enum34,
- python3-all-dev,
+ python3-dev,
  python3-setuptools,
  python3-six,
  llvm-6.0-dev (>= 6.0.1~),
  zlib1g-dev,
  libedit-dev,
- python-sphinx,
- python-sphinx-rtd-theme
-Standards-Version: 4.1.3
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>
+Standards-Version: 4.2.1
 Homepage: http://llvmlite.pydata.org/
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvmlite.git
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvmlite/
@@ -62,6 +62,7 @@
 Package: llvmlite-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=llvmlite
export LLVM_CONFIG=/usr/lib/llvm-6.0/bin/llvm-config

%:
ifeq (,$(findstring nodoc, $(DEB_BUILD_PROFILES)))
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python2,python3 --buildsystem=pybuild
endif

override_dh_installdocs:
	dh_installdocs -A README.rst
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source/ debian/llvmlite-doc/usr/share/doc/llvmlite-doc/html/
endif

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGE_LOG

override_dh_python2:
	dh_python2 --no-ext-rename

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_gencontrol:
	dh_gencontrol
	if [ -f debian/.debhelper/python-llvmlite/dbgsym-root/DEBIAN/control ]; then \
	echo "Conflicts: python3-llvmlite-dbgsym" >> debian/.debhelper/python-llvmlite/dbgsym-root/DEBIAN/control; \
	echo "Conflicts: python-llvmlite-dbgsym" >> debian/.debhelper/python3-llvmlite/dbgsym-root/DEBIAN/control; fi
	# this is a fix for #868564 until debug interpreter symbols are shipped (which need to be coninstallable)

## llvmlite 0.27.0

=== ffi/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # Look for SVML
 set(CMAKE_REQUIRED_INCLUDES ${LLVM_INCLUDE_DIRS})
 
-CHECK_INCLUDE_FILES("llvm/IR/SVML.gen" HAVE_SVML)
+CHECK_INCLUDE_FILES("llvm/IR/SVML.inc" HAVE_SVML)
 if(HAVE_SVML)
     message(STATUS "SVML found")
     add_definitions(-DHAVE_SVML)

=== debian/changelog ===
llvmlite (0.27.0-4) unstable; urgency=medium

  * QA upload.
  * Drop python2 support; Closes: #936956

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Nov 2019 20:31:27 -0500

llvmlite (0.27.0-3) unstable; urgency=medium

  * Orphaning package.

 -- Daniel Stender <stender@debian.org>  Wed, 20 Nov 2019 23:26:41 +0100

llvmlite (0.27.0-2) unstable; urgency=medium

  * deb/rules:
    + failsave tests on armhf/armel hosts temporarily to prevent
      test breaks due to a missing symbol occurring if build machine
      is arm64, see #917252.

 -- Daniel Stender <stender@debian.org>  Sat, 05 Jan 2019 15:54:54 +0100

llvmlite (0.27.0-1) unstable; urgency=medium

  * New upstream release:
    + build against LLVM 7 (Closes: #912790).
  * add recognize-default-buildflags.patch.
  * deb/rules:
    + export DEB_BUILD_MAINT_OPTIONS with hardening.
    + re-export CXXFLAGS with added -fPIC.
  * deb/copyright:
    + expand copyright span to 2019.
  * deb/control:
    + bump standards to 4.3.0 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Fri, 04 Jan 2019 20:45:30 +0100

=== debian/control ===
Source: llvmlite
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-dev,
 python3-setuptools,
 python3-six,
 llvm-7-dev,
 zlib1g-dev,
 libedit-dev,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.3.0
Homepage: http://llvmlite.pydata.org/
Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvmlite.git
Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvmlite/

Package: python3-llvmlite
Architecture: any
Depends:
 ${python3:Depends},
 python3-six,
 llvm-7,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 llvmlite-doc
Description: LLVM Python 3 binding for writing JIT compilers
 llvmlite uses the LLVM library for JIT (just-in-time) compilation of
 Python code into native machine instructions during runtime. Instead
 of exposing large parts of the LLVM C++ API for direct calls into the
 LLVM library, llvmlite follows a lightweight multi-layered approach.
 .
 This package contains the modules and the binding for Python 3.

Package: llvmlite-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Suggests:
 python3-llvmlite
Description: LLVM Python binding for writing JIT compilers (docs)
 llvmlite uses the LLVM library for JIT (just-in-time) compilation of
 Python code into native machine instructions during runtime. Instead
 of exposing large parts of the LLVM C++ API for direct calls into the
 LLVM library, llvmlite follows a lightweight multi-layered approach.
 .
 This package contains the documentation and example code.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=llvmlite
export LLVM_CONFIG=/usr/lib/llvm-7/bin/llvm-config
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export CXXFLAGS := $(shell DEB_CXXFLAGS_MAINT_APPEND=-fPIC dpkg-buildflags --get CXXFLAGS)

%:
ifeq (,$(findstring nodoc, $(DEB_BUILD_PROFILES)))
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_test:
# prevent tests break if armhf/armel is build for, see #917252
ifneq (,$(filter $(DEB_HOST_ARCH),armhf armel))
	dh_auto_test || true
else
	dh_auto_test
endif

override_dh_installdocs:
	dh_installdocs -A README.rst
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/source/ debian/llvmlite-doc/usr/share/doc/llvmlite-doc/html/
endif

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGE_LOG

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_gencontrol:
	dh_gencontrol
	if [ -f debian/.debhelper/python3-llvmlite/dbgsym-root/DEBIAN/control ]; then \
	echo "Conflicts: python-llvmlite-dbgsym" >> debian/.debhelper/python3-llvmlite/dbgsym-root/DEBIAN/control; fi
	# this is a fix for #868564 until debug interpreter symbols are shipped (which need to be coninstallable)

## llvmlite 0.30.0

=== debian/changelog ===
llvmlite (0.30.0-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:42:16 +0000

llvmlite (0.30.0-2) unstable; urgency=medium

  * Package Adoption. Thanks Daniel for previous work! (Closes: #945184)
  * Bump B-D/R-D from llvm-7 to llvm-8 for ppc64el as well.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 22 Dec 2019 11:14:55 +0800

llvmlite (0.30.0-1) experimental; urgency=medium

  * New upstream version 0.30.0
  * gbp.conf: no requiring signing
  * Refresh patches.
  * Bump B-D to LLVM-8 except for ppc64el architecture.
  * Bump the runtime deps to LLVM-8 accordingly. (except for ppc64el)
  * Deprecate Python2.
  * Delete Python2 autopkgtest scripts.
  * Bump debhelper compat level to 12 and deprecate d/compat.
  * Team Upload.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 24 Nov 2019 13:40:45 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: llvmlite
 Section: python
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Uploaders: Mo Zhou <cdluminate@gmail.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
+ python-enum34,
  python3-dev,
  python3-setuptools,
  python3-six,
- llvm-7-dev,
+ llvm-8-dev,
  zlib1g-dev,
  libedit-dev,
  python3-sphinx <!nodoc>,
@@ -23,7 +25,7 @@
 Depends:
  ${python3:Depends},
  python3-six,
- llvm-7,
+ llvm-8,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:

## llvmlite 0.31.0

=== ffi/CMakeLists.txt ===
--- 
+++ 
@@ -41,5 +41,10 @@
 # llvm_map_components_to_libnames(llvm_libs support core irreader)
 llvm_map_components_to_libnames(llvm_libs all)
 
+# Since LLVM 8 "OptRemarks" is built as a shared library only and also appears
+# under the llvm_libs for the "all" components map. This breaks static linking
+# so the "OptRemarks" library is removed from this list.
+list(REMOVE_ITEM llvm_libs "OptRemarks")
+
 # Link against LLVM libraries
 target_link_libraries(llvmlite ${llvm_libs})

=== debian/changelog ===
llvmlite (0.31.0-1) unstable; urgency=medium

  * New upstream version 0.31.0
  * Update my mail address in control and copyright.

 -- Mo Zhou <lumin@debian.org>  Sat, 08 Feb 2020 17:12:51 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>
+Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=llvmlite
export LLVM_CONFIG=/usr/lib/llvm-8/bin/llvm-config
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export CXXFLAGS := $(shell DEB_CXXFLAGS_MAINT_APPEND=-fPIC dpkg-buildflags --get CXXFLAGS)

%:
ifeq (,$(findstring nodoc, $(DEB_BUILD_PROFILES)))
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_test:
# prevent tests break if armhf/armel is build for, see #917252
ifneq (,$(filter $(DEB_HOST_ARCH),armhf armel))
	dh_auto_test || true
else
	dh_auto_test
endif

override_dh_installdocs:
	dh_installdocs -A README.rst
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source/ debian/llvmlite-doc/usr/share/doc/llvmlite-doc/html/
endif

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGE_LOG

override_dh_python3:
	dh_python3 --no-ext-rename

=== debian/tests/control ===
Tests: python3-llvmlite
Depends: python3-llvmlite, python3-all

## llvmlite 0.32.0

=== debian/changelog ===
llvmlite (0.32.0-1) unstable; urgency=medium

  * New upstream version 0.32.0
  * Dependency python3-six is no longer used by this package.
  * Bump Standards-Version to 4.5.0 (no change).

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Apr 2020 13:46:29 +0800

llvmlite (0.31.0-2) unstable; urgency=medium

  * Drop python-enum34 from b-d, no longer required; Closes: #936956
  * debian/tests/python3-llvmlite
    - run autopkgtests on all python3 supported versions

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Apr 2020 21:11:41 -0400

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,14 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- python-enum34,
  python3-dev,
  python3-setuptools,
- python3-six,
  llvm-8-dev,
  zlib1g-dev,
  libedit-dev,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: http://llvmlite.pydata.org/
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvmlite.git
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvmlite/
@@ -24,7 +22,6 @@
 Architecture: any
 Depends:
  ${python3:Depends},
- python3-six,
  llvm-8,
  ${misc:Depends},
  ${shlibs:Depends}

## llvmlite 0.33.0

=== debian/changelog ===
llvmlite (0.33.0-1) unstable; urgency=medium

  * New upstream version 0.33.0 (Closes: #943322)
  * Bump B-D to LLVM-9 following upstream.
  * Bump debhelper compat level to 13.

 -- Mo Zhou <lumin@debian.org>  Thu, 25 Jun 2020 23:20:39 +0800

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-dev,
  python3-setuptools,
- llvm-8-dev,
+ llvm-9-dev,
  zlib1g-dev,
  libedit-dev,
  python3-sphinx <!nodoc>,
@@ -22,7 +22,7 @@
 Architecture: any
 Depends:
  ${python3:Depends},
- llvm-8,
+ llvm-9,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:

## llvmlite 0.34.0

=== ffi/CMakeLists.txt ===
--- 
+++ 
@@ -37,9 +37,12 @@
             passmanagers.cpp targets.cpp dylib.cpp linker.cpp object_file.cpp)
 
 # Find the libraries that correspond to the LLVM components
-# that we wish to use
-# llvm_map_components_to_libnames(llvm_libs support core irreader)
-llvm_map_components_to_libnames(llvm_libs all)
+# that we wish to use.
+# The following line is broken with LLVM 10.0.0 due to a potential bug in
+# the LLVM cmake setup, so we use the workaround instead.
+# Bug reported upstream at: https://bugs.llvm.org/show_bug.cgi?id=47003
+# BROKEN: llvm_map_components_to_libnames(llvm_libs all)
+set(llvm_libs ${LLVM_AVAILABLE_LIBS})
 
 # Since LLVM 8 "OptRemarks" is built as a shared library only and also appears
 # under the llvm_libs for the "all" components map. This breaks static linking

=== debian/changelog ===
llvmlite (0.34.0-2) unstable; urgency=medium

  * Fixup wrong run-time dependency of bin:python3-llvmlite. (Closes: #970867)

 -- Mo Zhou <lumin@debian.org>  Thu, 01 Oct 2020 12:14:02 +0800

llvmlite (0.34.0-1) unstable; urgency=medium

  * New upstream version 0.34.0
  * Refresh existing patches.
  * Bump llvm requirement from 9->10 for non-arm64 architectures.

 -- Mo Zhou <lumin@debian.org>  Sun, 20 Sep 2020 15:23:34 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  dh-python,
  python3-dev,
  python3-setuptools,
- llvm-9-dev,
+ llvm-10-dev [!arm64],
+ llvm-9-dev [arm64],
  zlib1g-dev,
  libedit-dev,
  python3-sphinx <!nodoc>,
@@ -22,7 +23,8 @@
 Architecture: any
 Depends:
  ${python3:Depends},
- llvm-9,
+ llvm-10 [!arm64],
+ llvm-9 [arm64],
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:

## llvmlite 0.35.0

=== requirements.txt ===
enum34; python_version < '3.4'

=== ffi/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,8 @@
 # Define our shared library
 add_library(llvmlite SHARED assembly.cpp bitcode.cpp core.cpp initfini.cpp
             module.cpp value.cpp executionengine.cpp transforms.cpp
-            passmanagers.cpp targets.cpp dylib.cpp linker.cpp object_file.cpp)
+            passmanagers.cpp targets.cpp dylib.cpp linker.cpp object_file.cpp
+            custom_passes.cpp)
 
 # Find the libraries that correspond to the LLVM components
 # that we wish to use.

=== debian/changelog ===
llvmlite (0.35.0-3) unstable; urgency=medium

  * Team upload.

  [ Graham Inggs ]
  * Switch back to LLVM 9 also runtime dependencies.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 19:30:15 +0100

llvmlite (0.35.0-2) unstable; urgency=medium

  * Switch back to LLVM 9, see #974778

 -- Graham Inggs <ginggs@debian.org>  Wed, 20 Jan 2021 07:43:12 +0000

llvmlite (0.35.0-1) unstable; urgency=medium

  * New upstream version 0.35.0

 -- Mo Zhou <lumin@debian.org>  Tue, 08 Dec 2020 14:44:56 +0800

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-dev,
+ python3-all,
+ python3-all-dev,
  python3-setuptools,
- llvm-10-dev [!arm64],
- llvm-9-dev [arm64],
+ llvm-9-dev,
  zlib1g-dev,
  libedit-dev,
  python3-sphinx <!nodoc>,
@@ -23,8 +23,7 @@
 Architecture: any
 Depends:
  ${python3:Depends},
- llvm-10 [!arm64],
- llvm-9 [arm64],
+ llvm-9,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 export PYBUILD_NAME=llvmlite
-export LLVM_CONFIG=/usr/lib/llvm-8/bin/llvm-config
+export LLVM_CONFIG=/usr/lib/llvm-9/bin/llvm-config
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export CXXFLAGS := $(shell DEB_CXXFLAGS_MAINT_APPEND=-fPIC dpkg-buildflags --get CXXFLAGS)

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]+)\.tar\.gz/llvmlite-$1.tar.gz/" \
https://github.com/numba/llvmlite/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz
# Github tarball ships with docs

## llvmlite 0.37.0

=== debian/changelog ===
llvmlite (0.37.0-1) unstable; urgency=medium

  * New upstream version 0.37.0
  * Correct d/watch upstream URL and upgrade it to version 4.
  * Bump LLVM dependency to llvm-11-dev. (Closes: #987703, #974778)
  * Add missing build dependencies on Python3.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Reduce Build-Depends: (Closes: #982185)
    + Drop unused zlib1g-dev and libedit-dev.
    + Replace conditional dh --with sphinxdoc with a dh-sequence-sphinxdoc
      dependency.
    + Replace nodoc profile with an arch/indep split.

 -- Mo Zhou <lumin@debian.org>  Thu, 11 Nov 2021 11:27:03 -0500

## llvmlite 0.38.0~rc1

=== debian/changelog ===
llvmlite (0.38.0~rc1-1) unstable; urgency=medium

  * New upstream version 0.38.0~rc1 (Closes: #1000178)

 -- Mo Zhou <lumin@debian.org>  Mon, 03 Jan 2022 10:51:57 -0500

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=llvmlite
export LLVM_CONFIG=/usr/lib/llvm-11/bin/llvm-config
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export CXXFLAGS := $(shell DEB_CXXFLAGS_MAINT_APPEND=-fPIC dpkg-buildflags --get CXXFLAGS)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
# prevent tests break if armhf/armel is build for, see #917252
ifneq (,$(filter $(DEB_HOST_ARCH),armhf armel))
	dh_auto_test || true
else
	dh_auto_test
endif

override_dh_installdocs:
	dh_installdocs -A README.rst

execute_after_dh_installdocs-indep:
	http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source/ debian/llvmlite-doc/usr/share/doc/llvmlite-doc/html/

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGE_LOG

override_dh_python3:
	dh_python3 --no-ext-rename

## llvmlite 0.38.0

=== debian/changelog ===
llvmlite (0.38.0-1) unstable; urgency=medium

  * New upstream version 0.38.0
  * Refresh existing patches.

 -- Mo Zhou <lumin@debian.org>  Sat, 15 Jan 2022 10:00:21 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-all,
+ python3:any | python3-all:any,
  python3-all-dev,
  python3-setuptools,
- llvm-9-dev,
- zlib1g-dev,
- libedit-dev,
- python3-sphinx <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>
+ llvm-11-dev,
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
 Standards-Version: 4.5.0
 Homepage: http://llvmlite.pydata.org/
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvmlite.git
@@ -23,7 +23,7 @@
 Architecture: any
 Depends:
  ${python3:Depends},
- llvm-9,
+ llvm-11,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
@@ -39,7 +39,6 @@
 Package: llvmlite-doc
 Section: doc
 Architecture: all
-Build-Profiles: <!nodoc>
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%llvmlite-$1.tar.gz%" \
    https://github.com/numba/llvmlite/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## llvmlite 0.38.1

=== debian/changelog ===
llvmlite (0.38.1-2) unstable; urgency=medium

  * Cherry-pick upstream pull request to enable llvm-{12,13} support.
  * Bump LLVM dependency to 13. (Closes: #1000922)

 -- Mo Zhou <lumin@debian.org>  Mon, 20 Jun 2022 23:44:43 -0700

llvmlite (0.38.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Mo Zhou ]
  * New upstream version 0.38.1

 -- Mo Zhou <lumin@debian.org>  Sun, 19 Jun 2022 20:29:20 -0700

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
  python3:any | python3-all:any,
  python3-all-dev,
  python3-setuptools,
- llvm-11-dev,
+ llvm-13-dev,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.5.0
-Homepage: http://llvmlite.pydata.org/
+Standards-Version: 4.6.0
+Homepage: https://llvmlite.pydata.org/
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvmlite.git
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvmlite/
 
@@ -23,7 +23,7 @@
 Architecture: any
 Depends:
  ${python3:Depends},
- llvm-11,
+ llvm-13,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 export PYBUILD_NAME=llvmlite
-export LLVM_CONFIG=/usr/lib/llvm-11/bin/llvm-config
+export LLVM_CONFIG=/usr/lib/llvm-13/bin/llvm-config
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export CXXFLAGS := $(shell DEB_CXXFLAGS_MAINT_APPEND=-fPIC dpkg-buildflags --get CXXFLAGS)

## llvmlite 0.39.0

=== debian/changelog ===
llvmlite (0.39.0-1) unstable; urgency=medium

  * New upstream version 0.39.0 (July 2022)
  * Remove no longer used patches.
  * Refresh existing patches.

 -- Mo Zhou <lumin@debian.org>  Thu, 28 Jul 2022 19:39:50 -0700

llvmlite (0.38.1-3) unstable; urgency=medium

  * Rollback to use LLVM-11. (Closes: #1014690) (Reopens: #1000922)

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Jul 2022 07:54:50 -0700

## llvmlite 0.39.1

=== ffi/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,11 @@
 project(llvmlite_ffi)
 
 include(CheckIncludeFiles)
+
+if(NOT MSVC)
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-rtti -g")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti -g")
+endif()
 
 find_package(LLVM REQUIRED CONFIG)
 
@@ -43,7 +48,11 @@
 # the LLVM cmake setup, so we use the workaround instead.
 # Bug reported upstream at: https://bugs.llvm.org/show_bug.cgi?id=47003
 # BROKEN: llvm_map_components_to_libnames(llvm_libs all)
-set(llvm_libs ${LLVM_AVAILABLE_LIBS})
+if ($ENV{LLVMLITE_SHARED})
+    set(llvm_libs LLVM)
+else()
+    set(llvm_libs ${LLVM_AVAILABLE_LIBS})
+endif()
 
 # Since LLVM 8 "OptRemarks" is built as a shared library only and also appears
 # under the llvm_libs for the "all" components map. This breaks static linking
@@ -52,3 +61,12 @@
 
 # Link against LLVM libraries
 target_link_libraries(llvmlite ${llvm_libs})
+# -flto and --exclude-libs allow us to remove those parts of LLVM we don't use
+if(${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
+    set_property(TARGET llvmlite APPEND_STRING PROPERTY LINK_FLAGS "-flto -Wl,--exclude-libs,ALL")
+# On Darwin we only include the LLVMPY symbols we require and exclude
+# everything else.
+elseif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+    set(LLVM_EXPORTED_SYMBOLS "-Wl,-exported_symbol,_LLVMPY_*")
+    set_property(TARGET llvmlite APPEND_STRING PROPERTY LINK_FLAGS "${LLVM_EXPORTED_SYMBOLS}")
+endif()

=== debian/changelog ===
llvmlite (0.39.1-1) unstable; urgency=medium

  * New upstream version 0.39.1
  * Use the ${llvm:Depends} variable in Depends field of d/control.

 -- Mo Zhou <lumin@debian.org>  Fri, 09 Sep 2022 10:20:28 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3:any | python3-all:any,
  python3-all-dev,
  python3-setuptools,
- llvm-13-dev,
+ llvm-11-dev,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  python3-sphinx,
@@ -23,7 +23,7 @@
 Architecture: any
 Depends:
  ${python3:Depends},
- llvm-13,
+ ${llvm:Depends},
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 export PYBUILD_NAME=llvmlite
-export LLVM_CONFIG=/usr/lib/llvm-13/bin/llvm-config
+export LLVM_CONFIG=/usr/lib/llvm-11/bin/llvm-config
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export CXXFLAGS := $(shell DEB_CXXFLAGS_MAINT_APPEND=-fPIC dpkg-buildflags --get CXXFLAGS)
@@ -28,3 +28,6 @@
 
 override_dh_python3:
 	dh_python3 --no-ext-rename
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vllvm:Depends="$(shell basename $(shell $(LLVM_CONFIG) --prefix))"

## llvmlite 0.40.0

=== debian/changelog ===
llvmlite (0.40.0-1) unstable; urgency=medium

  * New upstream version 0.40.0
  * Remove unneeded patches as of this release. Rebase remaining ones.

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Jun 2023 17:53:17 -0700

llvmlite (0.39.1-2) unstable; urgency=medium

  [ Mo Zhou ]
  * Cherry-pick & rebase upstream LLVM-14 patch. (Closes: #1000922, #1024795)
    Note, this patch is not fully tested by the upstream, but we have to move
    away from LLVM-11 since it is already removed from Debian unstable.
  * Bump LLVM Depends to 14.
  * Bump maximum python version to 3.11.
  * Override and disable LTO, or the shared object will be missing.

  [ Diane Trout ]
  * Fix FTBFS due to llvm compat for cxx code.

 -- Mo Zhou <lumin@debian.org>  Sat, 24 Dec 2022 11:47:06 -0500

## llvmlite 0.40.1

=== debian/changelog ===
llvmlite (0.40.1-1) unstable; urgency=medium

  * New upstream version 0.40.1

 -- Mo Zhou <lumin@debian.org>  Sun, 25 Jun 2023 13:34:17 -0700

## llvmlite 0.41.1

=== debian/changelog ===
llvmlite (0.41.1-1) unstable; urgency=medium

  * New upstream version 0.41.1

 -- Mo Zhou <lumin@debian.org>  Sun, 22 Oct 2023 17:38:25 -0400

llvmlite (0.41.0-1) unstable; urgency=medium

  * New upstream version 0.41.0

 -- Mo Zhou <lumin@debian.org>  Sat, 23 Sep 2023 19:59:36 -0400

## llvmlite 0.42.0

=== ffi/CMakeLists.txt ===
--- 
+++ 
@@ -38,9 +38,9 @@
 
 # Define our shared library
 add_library(llvmlite SHARED assembly.cpp bitcode.cpp core.cpp initfini.cpp
-            module.cpp value.cpp executionengine.cpp transforms.cpp
+            module.cpp value.cpp executionengine.cpp transforms.cpp type.cpp
             passmanagers.cpp targets.cpp dylib.cpp linker.cpp object_file.cpp
-            custom_passes.cpp)
+            custom_passes.cpp orcjit.cpp memorymanager.cpp)
 
 # Find the libraries that correspond to the LLVM components
 # that we wish to use.

=== debian/changelog ===
llvmlite (0.42.0-1build3) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:01:09 +0100

llvmlite (0.42.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:30 +1100

llvmlite (0.42.0-1build1) noble; urgency=medium

  * No-change rebuild against libllvm14 t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 20:25:47 +0100

llvmlite (0.42.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Wed, 28 Feb 2024 23:02:10 -0500

llvmlite (0.42.0-1~exp1) experimental; urgency=medium

  * New upstream version 0.42.0
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 15 Feb 2024 13:47:26 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 export PYBUILD_NAME=llvmlite
-export LLVM_CONFIG=/usr/lib/llvm-11/bin/llvm-config
+export LLVM_CONFIG=/usr/lib/llvm-14/bin/llvm-config
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export CXXFLAGS := $(shell DEB_CXXFLAGS_MAINT_APPEND=-fPIC dpkg-buildflags --get CXXFLAGS)
+export CXX_FLTO_FLAGS=
+export LD_FLTO_FLAGS=
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## llvmlite 0.43.0

=== debian/changelog ===
llvmlite (0.43.0-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.43.0

  [ Diane Trout ]
  * Add use-local-objectsinv.patch to prevent network access
  * Add python3-doc and llvm-15-doc as nodoc build dependencies

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 26 Jun 2024 08:03:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ python3-doc <!nodoc>,
  python3:any | python3-all:any,
  python3-all-dev,
  python3-setuptools,
- llvm-11-dev,
+ llvm-15-dev,
+ llvm-15-doc <!nodoc>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  python3-sphinx,

## llvmlite 0.44.0

=== ffi/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,12 @@
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-rtti -g")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti -g")
 endif()
+
+set(CMAKE_CXX_STANDARD 17)
+
+# Work around llvm/llvm-project#83802 - LLVM's Findzstd.cmake uses variables
+# that require including `GNUInstallDirs`, but it does not include it itself.
+include(GNUInstallDirs)
 
 find_package(LLVM REQUIRED CONFIG)
 
@@ -40,7 +46,7 @@
 add_library(llvmlite SHARED assembly.cpp bitcode.cpp core.cpp initfini.cpp
             module.cpp value.cpp executionengine.cpp transforms.cpp type.cpp
             passmanagers.cpp targets.cpp dylib.cpp linker.cpp object_file.cpp
-            custom_passes.cpp orcjit.cpp memorymanager.cpp)
+            custom_passes.cpp orcjit.cpp memorymanager.cpp newpassmanagers.cpp)
 
 # Find the libraries that correspond to the LLVM components
 # that we wish to use.

=== debian/changelog ===
llvmlite (0.44.0-1) unstable; urgency=medium

  [ Diane Trout ]
  * New upstream version 0.44.0 (Closes: #1061214)
  * Add use-local-objectsinv.patch to prevent network access
  * Add python3-doc and llvm-19-doc as nodoc build dependencies
  * Add llvm-19-pr1182.patch to backport support for llvm-19
  * Update path to llvm-config for llvm-19 in debian/rules
  * Add skip-llvm-19-broken-tests.patch to avoid tests that fail with
    llvm-19

 -- Diane Trout <diane@ghic.org>  Thu, 30 Jan 2025 18:46:04 -0800

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  python3:any | python3-all:any,
  python3-all-dev,
  python3-setuptools,
- llvm-15-dev,
- llvm-15-doc <!nodoc>,
+ llvm-19-dev,
+ llvm-19-doc <!nodoc>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 export PYBUILD_NAME=llvmlite
-export LLVM_CONFIG=/usr/lib/llvm-14/bin/llvm-config
+export LLVM_CONFIG=/usr/lib/llvm-19/bin/llvm-config
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export CXXFLAGS := $(shell DEB_CXXFLAGS_MAINT_APPEND=-fPIC dpkg-buildflags --get CXXFLAGS)

=== debian/tests/control ===
Tests: python3-llvmlite
Depends: python3-llvmlite, python3-all:any
